Subject: Re: bug#19363: Acknowledgement (24.4.1; Notifications can make ERC unusable)

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Jan 2015 20:54:54 -0500

> Hi. I suspect that hard-coding this would be a very big and unwelcome
> change in this case because there's some indirection here. Each ERC
> "response handler" has a hook such as this. The (defvar ...)
> (add-to-list ...) happens in the macro that defines a response handler:
> define-erc-response-handler, and the hooks are invoked in a general way
> for all server responses in erc-handle-parsed-server-response.

> So the bug I was seeing was due specifically to missing PRIVMSG response
> handlers, but the patch fixes all response handlers generically.

Right.  So maybe it can be fixed "better" via a more significant
restructuring, but that's still to be shown.  Feel free to install your
patch, thank you,

        Stefan